Bug 71398 - uncaught exception. upgrade 7.2 -> 7.3
uncaught exception. upgrade 7.2 -> 7.3
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
: 71395 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-12 20:45 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-12 20:45:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1b) Gecko/20020722

Description of problem:
Installer hangs with long list of exceptions (attached) always!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot onto CD
2.go thru steps to get into 'install packages'
3.refuses to upgrade
	

Actual Results:  Hangs, and only out is reboot

Expected Results:  should have upgraded 7.2 -> 7.3

Additional info:

bug dump attached

 Traceback (innermost last):
  File "/usr/bin/anaconda", line 633, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 353, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 814, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 130, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 420, in nextClicked
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 550, in setScreen
    exec s
  File "<string>", line 1, in ?
ImportError: cannot import name InstallProgressWindow

Local variables in innermost frame:
args: (1, <gui.InstallInterface instance at 84d18f8>, <instdata.InstallData
instance at 8742568>)
self: <gui.InstallControlWindow instance at 84f6100>
newScreenClass: None
s: from progress_gui import InstallProgressWindow; newScreenClass =
InstallProgressWindow
file: progress_gui
step: install
className: InstallProgressWindow


Package Group selection status:
Base: 0
Printing Support: 0
Classic X Window System: 0
X Window System: 0
Laptop Support: 0
Spelling: 0
GNOME: 0
KDE: 0
Sound and Multimedia Support: 0
Network Support: 0
Dialup Support: 0
Messaging and Web Tools: 0
Graphics and Image Manipulation: 0
Network Server: 0
News Server: 0
NFS File Server: 0
Windows File Server: 0
Anonymous FTP Server: 0
SQL Database Server: 0
Web Server: 0
Router / Firewall: 0
DNS Name Server: 0
Network Managed Workstation: 0
Authoring and Publishing: 0
Emacs: 0
Utilities: 0
Legacy Application Support: 0
Software Development: 0
Kernel Development: 0
Windows Compatibility / Interoperability: 0
Games and Entertainment: 0
Everything Include: 0
Workstation Common: 0
Server: 0
Everything: 0


Individual package selection status:
4Suite: 1, Canna: 0, Canna-devel: 1, Canna-libs: 1, Distutils: 0, ElectricFence:
0, FreeWnn: 0, FreeWnn-common: 0, FreeWnn-devel: 1, FreeWnn-libs: 1, GConf: 1,
GConf-devel: 1, Glide3: 1, Glide3-devel: 1, Gtk-Perl: 1, Guppi: 1, Guppi-devel:
1, ImageMagick: 1, ImageMagick-c++: 1, ImageMagick-c++-devel: 1,
ImageMagick-devel: 1, ImageMagick-perl: 1, LPRng: 1, MAKEDEV: 1, Maelstrom: 1,
MagicPoint: 1, MyODBC: 1, MySQL-python: 1, ORBit: 1, ORBit-devel: 1, Omni: 1,
Omni-foomatic: 1, PyQt: 1, PyQt-devel: 1, PyQt-examples: 1, PyXML: 1, SDL: 1,
SDL-devel: 1,SDL_image: 1, SDL_image-devel: 1, SDL_mixer: 1, SDL_mixer-devel:
1, SDL_net: 1, SDL_net-devel: 1, SysVinit: 1, VFlib2: 1, VFlib2-VFjfm: 1,
VFlib2-conf-ja: 1, VFlib2-devel: 1, WindowMaker: 1, WindowMaker-libs: 1,
Wnn6-SDK: 1, Wnn6-SDK-devel: 1, XFree86: 1, XFree86-100dpi-fonts: 1,
XFree86-3DLabs: 0, XFree86-75dpi-fonts: 1, XFree86-8514: 0, XFree86-AGX: 0,
XFree86-FBDev: 1, XFree86-ISO8859-15-100dpi-fonts: 1,
XFree86-ISO8859-15-75dpi-fonts: 1, XFree86-ISO8859-2-100dpi-fonts: 0,
XFree86-ISO8859-2-75dpi-fonts: 0, XFree86-ISO8859-9-100dpi-fonts: 0,
XFree86-ISO8859-9-75dpi-fonts: 0, XFree86-Mach32: 0, XFree86-Mach64: 0,
XFree86-Mach8: 0, XFree86-Mono: 0, XFree86-P9000: 0, XFree86-S3: 0, XFree86-S3V:
0, XFree86-SVGA: 0, XFree86-VGA16: 0, XFree86-W32: 0, XFree86-Xnest: 1,
XFree86-Xvfb: 1, XFree86-base-fonts: 1, XFree86-compat-libs: 0,
XFree86-compat-modules: 1, XFree86-cyrillic-fonts: 0, XFree86-devel: 1,
XFree86-doc: 1, XFree86-font-utils: 1, XFree86-libs: 1, XFree86-tools: 1,
XFree86-truetype-fonts: 0, XFree86-twm: 1, XFree86-xdm: 1, XFree86-xf86cfg: 1,
XFree86-xfs: 1, XFree86-xtrap-clients: 0, Xaw3d: 1, Xaw3d-devel: 1,
Xconfigurator: 1, Xdialog: 1, a2ps: 1, abiword: 1, ac-archive: 0, adjtimex: 1,
alchemist: 1, alchemist-devel: 1, alien: 0, am-utils: 1, amanda: 1,
amanda-client: 1, amanda-devel: 1, amanda-server: 1, ami: 0, ami-gnome: 0,
anaconda: 1, anaconda-help: 1, anaconda-images: 1, anaconda-runtime: 1, anacron:
0, anonftp: 0, apache: 1, apache-devel: 1, apache-manual: 1, apacheconf: 1,
apel: 1, apmd: 1, ark: 1, arpwatch: 1, arts: 1, arts-devel: 1, ash: 0, asp2php:
1, asp2php-gtk: 1, aspell: 1, aspell-ca: 0, aspell-da: 0, aspell-de: 0, aspel
 
Report to moderator   Logged
Comment 1 Need Real Name 2002-08-13 11:06:49 EDT
*** Bug 71395 has been marked as a duplicate of this bug. ***
Comment 2 Michael Fulbright 2002-08-14 15:30:43 EDT
The error log appears to be truncated - please verify this is the entire file.
Comment 3 Need Real Name 2002-08-14 16:17:10 EDT
This is the entire copy from the popup window that appeared when anaconda quit
and that told me that it was a bug and to report it here.

I could try again and get the same (or a different?) message, but this is the
entire windowfull that I got.
Comment 4 Michael Fulbright 2002-08-22 16:15:57 EDT
Did you get an option to save the error to a floppy?
Comment 5 Need Real Name 2002-08-22 16:22:58 EDT
Yes, I did get the option, and *did* save it

Here it is from /mnt/floppy  (which ?looks? amazingly like what I previously
sent ;-)

Traceback (innermost last):
  File "/usr/bin/anaconda", line 633, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 353, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 814, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 130, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 420, in nextClicked
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 550, in setScreen
    exec s
  File "<string>", line 1, in ?
ImportError: cannot import name InstallProgressWindow

Local variables in innermost frame:
args: (1, <gui.InstallInterface instance at 84d18f8>, <instdata.InstallData
instance at 8742568>)
self: <gui.InstallControlWindow instance at 84f6100>
newScreenClass: None
s: from progress_gui import InstallProgressWindow; newScreenClass =
InstallProgressWindow
file: progress_gui
step: install
className: InstallProgressWindow


Package Group selection status:
Base: 0
Printing Support: 0
Classic X Window System: 0
X Window System: 0
Laptop Support: 0
Spelling: 0
GNOME: 0
KDE: 0
Sound and Multimedia Support: 0
Network Support: 0
Dialup Support: 0
Messaging and Web Tools: 0
Graphics and Image Manipulation: 0
Network Server: 0
News Server: 0
NFS File Server: 0
Windows File Server: 0
Anonymous FTP Server: 0
SQL Database Server: 0
Web Server: 0
Router / Firewall: 0
DNS Name Server: 0
Network Managed Workstation: 0
Authoring and Publishing: 0
Emacs: 0
Utilities: 0
Legacy Application Support: 0
Software Development: 0
Kernel Development: 0
Windows Compatibility / Interoperability: 0
Games and Entertainment: 0
Everything Include: 0
Workstation Common: 0
Server: 0
Everything: 0


Individual package selection status:
4Suite: 1, Canna: 0, Canna-devel: 1, Canna-libs: 1, Distutils: 0, ElectricFence:
0, FreeWnn: 0, FreeWnn-common: 0, FreeWnn-devel: 1, FreeWnn-libs: 1, GConf: 1,
GConf-devel: 1, Glide3: 1, Glide3-devel: 1, Gtk-Perl: 1, Guppi: 1, Guppi-devel:
1, ImageMagick: 1, ImageMagick-c++: 1, ImageMagick-c++-devel: 1,
ImageMagick-devel: 1, ImageMagick-perl: 1, LPRng: 1, MAKEDEV: 1, Maelstrom: 1,
MagicPoint: 1, MyODBC: 1, MySQL-python: 1, ORBit: 1, ORBit-devel: 1, Omni: 1,
Omni-foomatic: 1, PyQt: 1, PyQt-devel: 1, PyQt-examples: 1, PyXML: 1, SDL: 1,
SDL-devel: 1, SDL_image: 1, SDL_image-devel: 1, SDL_mixer: 1, SDL_mixer-devel:
1, SDL_net: 1, SDL_net-devel: 1, SysVinit: 1, VFlib2: 1, VFlib2-VFjfm: 1,
VFlib2-conf-ja: 1, VFlib2-devel: 1, WindowMaker: 1, WindowMaker-libs: 1,
Wnn6-SDK: 1, Wnn6-SDK-devel: 1, XFree86: 1, XFree86-100dpi-fonts: 1,
XFree86-3DLabs: 0, XFree86-75dpi-fonts: 1, XFree86-8514: 0, XFree86-AGX: 0,
XFree86-FBDev: 1, XFree86-ISO8859-15-100dpi-fonts: 1,
XFree86-ISO8859-15-75dpi-fonts: 1, XFree86-ISO8859-2-100dpi-fonts: 0,
XFree86-ISO8859-2-75dpi-fonts: 0, XFree86-ISO8859-9-100dpi-fonts: 0,
XFree86-ISO8859-9-75dpi-fonts: 0, XFree86-Mach32: 0, XFree86-Mach64: 0,
XFree86-Mach8: 0, XFree86-Mono: 0, XFree86-P9000: 0, XFree86-S3: 0, XFree86-S3V:
0, XFree86-SVGA: 0, XFree86-VGA16: 0, XFree86-W32: 0, XFree86-Xnest: 1,
XFree86-Xvfb: 1, XFree86-base-fonts: 1, XFree86-compat-libs: 0,
XFree86-compat-modules: 1, XFree86-cyrillic-fonts: 0, XFree86-devel: 1,
XFree86-doc: 1, XFree86-font-utils: 1, XFree86-libs: 1, XFree86-tools: 1,
XFree86-truetype-fonts: 0, XFree86-twm: 1, XFree86-xdm: 1, XFree86-xf86cfg: 1,
XFree86-xfs: 1, XFree86-xtrap-clients: 0, Xaw3d: 1, Xaw3d-devel: 1,
Xconfigurator: 1, Xdialog: 1, a2ps: 1, abiword: 1, ac-archive: 0, adjtimex: 1,
alchemist: 1, alchemist-devel: 1, alien: 0, am-utils: 1, amanda: 1,
amanda-client: 1, amanda-devel: 1, amanda-server: 1, ami: 0, ami-gnome: 0,
anaconda: 1, anaconda-help: 1, anaconda-images: 1, anaconda-runtime: 1, anacron:
0, anonftp: 0, apache: 1, apache-devel: 1, apache-manual: 1, apacheconf: 1,
apel: 1, apmd: 1, ark: 1, arpwatch: 1, arts: 1, arts-devel: 1, ash: 0, asp2php:
1, asp2php-gtk: 1, aspell: 1, aspell-ca: 0, aspell-da: 0, aspell-de: 0, aspel
Comment 6 Michael Fulbright 2002-10-02 16:21:18 EDT
Please test your media following these instructions:

  http://rhlinux.redhat.com/anaconda/mediacheck.html
Comment 7 Michael Fulbright 2002-10-24 14:21:28 EDT
Closing due to inactivity. Please reopen if you have any new information to add
to this report.
Comment 8 Red Hat Bugzilla 2006-02-21 13:49:23 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.